%define module_name	em8300
%define module_version	0.13.0.cvs
%define module_release	alt6.6

%define kversion	2.4.26
%define krelease	alt6
%define flavour		std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name


Summary:	Drivers for Hollywood plus / Dxr3 devices
Name:		kernel-modules-%module_name-%flavour
Version:	1.0.%module_version
Release:	%module_release
License:	GPL
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS:	Linux
URL:		http://www.kernel.org/
BuildPreReq:	kernel-build-tools >= 0.7
BuildRequires:	modutils
BuildRequires:	rpm >= 4.0.2-75
BuildRequires:  kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires:  kernel-source-%module_name = %module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
Support for Hollywood plus / Dxr3 devices.

%prep

rm -rf kernel-source-%module_name-%module_version                                                                        
                                                                                                         
tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2
                                                                                                         
%setup -D -T -n kernel-source-%module_name-%module_version/modules

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build CC=gcc KERNEL_LOCATION=%_includedir/linux-%kversion-%flavour

%install
%__mkdir_p $RPM_BUILD_ROOT%module_dir
for f in adv717x bt865 em8300; do
    cp $f.o $RPM_BUILD_ROOT/%module_dir/
done

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.13.0.cvs-alt6.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.13.0.cvs-alt5.6
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.13.0.cvs-alt4.6
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.13.0.cvs-alt3.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 1.0.0.13.0.cvs-alt2.6
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Mon Sep 22 2003 Kachalov Anton <mouse@altlinux.ru> 1.0.0.13.0.cvs-alt1.6
- first build
